Bug 1274197 - Useless parameter configured in ansible inventory by oo-install
Useless parameter configured in ansible inventory by oo-install
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jason DeTiberus
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 04:51 EDT by Gaoyun Pei
Modified: 2016-07-03 20:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:41:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2015-10-22 04:51:59 EDT
Description of problem:
The oo-install tool is still using "product_type=openshift" option, which has been abandoned.

Version-Release number of selected component (if applicable):
https://install.openshift.com/ose
oo-install-ose-20151021-1917

How reproducible:
Always

Steps to Reproduce:
1.sh <(curl -s https://install.openshift.com/ose)
2.Input the hostnames
3.Check ansible inventory

Actual results:
[OSEv3:vars]
...
product_type=openshift


Expected results:
Should not use "product_type=openshift" any more.

Additional info:
Comment 1 Gaoyun Pei 2015-11-04 20:32:27 EST
Test with atomic-openshift-utils-3.0.7-1.git.48.75d357c.el7aos.noarch today, found the installer didn't use product_type variable now. 

[OSEv3:vars]
ansible_ssh_user=root
deployment_type=openshift-enterprise

Will move this to VERIFIED once the status changed to ON_QA.
Thanks
Comment 2 Gaoyun Pei 2015-11-18 00:27:15 EST
Move this bug to VERIFIED according to https://bugzilla.redhat.com/show_bug.cgi?id=1274197#c1

Note You need to log in before you can comment on or make changes to this bug.